summaryrefslogtreecommitdiff
path: root/dev-python/google-auth
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-26 13:40:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-26 13:40:25 +0000
commit12e97c9c7b8570130131c95ef49e842a67af266f (patch)
tree8a0db7164e5c5ec120383d362f00f61971bdd452 /dev-python/google-auth
parente508730165ab3e82323822d520aa96b5b1f913af (diff)
downloadbaldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.tar.gz
baldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.tar.xz
baldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.zip
Adding metadata
Diffstat (limited to 'dev-python/google-auth')
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.5.0.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index b4a76b36cbf4..2099353297c8 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google-auth-2.3.3.tar.gz 186600 BLAKE2B 52b1269b88d27fafafcb053219c93c7f180cac11cdf32b140531553dda547d02087b0418d44edc6497eb37793859d86d4beaad1a7a128c86839202785584c9ab SHA512 3ab6d97e71988ef5e338e0a643545f8fa504f5ea04f4176afd9417ecf0e9a3fa45333f0c2c7ea5bf32423df32c48ec59ac9d16ef8bfc35a1aa4c0fcc114fef63
DIST google-auth-2.4.0.tar.gz 188032 BLAKE2B 27cd5a9fec2a0f98e26e4c5cfada446f9561834d8471a91bcab54b2965231ecf9d40d8d6d4240355adf0da5ffc9533ce745940a9d9eaca3fd97ed8c759e55939 SHA512 bb107b4dcf556e98f2a994d9baf10492d249b679d92c26bd96c79764d886bfb001940ac168ff0932456af15e4f2de38edc62d7c9beecadafad5e6350b13e0d95
+DIST google-auth-2.5.0.tar.gz 189396 BLAKE2B 85b6cccf46acaa15ebc58b0cc4ea906c405e8f5e1f9d5c67c1790105689bba47e9f57355751a31a051ec6f20f828e2e2d0d9e792afc5d877791deab8a3e18503 SHA512 7323f253789364d14c1c1adf148cbfff2abceec06c539e93c8f5ae4a5ee978838480f9923e3d62988d903a239434257f980ec1095a8cedc678e263d0adff6cce
diff --git a/dev-python/google-auth/google-auth-2.5.0.ebuild b/dev-python/google-auth/google-auth-2.5.0.ebuild
new file mode 100644
index 000000000000..172ae813dc8e
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.5.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ "
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}